Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4275)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4276)
@@ -123,5 +123,5 @@
           fr_i_tm  (:,:)         = fr_i_tm  (:,:)         + fr_i  (:,:)
           emp_tm   (:,:)         = emp_tm   (:,:)         + emp   (:,:) 
-          sfx_tm   (:,:)         = sfx_tm   (:,:)         + sfx   (:,:)
+          fmmflx_tm(:,:)         = fmmflx_tm(:,:)         + fmmflx(:,:)
           qsr_tm   (:,:)         = qsr_tm   (:,:)         + qsr   (:,:)
           wndm_tm  (:,:)         = wndm_tm  (:,:)         + wndm  (:,:)
@@ -211,5 +211,5 @@
          emp_temp   (:,:)        = emp   (:,:)
          emp_b_temp (:,:)        = emp_b (:,:)
-         sfx_temp   (:,:)        = sfx   (:,:)
+         fmmflx_temp(:,:)        = fmmflx(:,:)
          qsr_temp   (:,:)        = qsr   (:,:)
          wndm_temp  (:,:)        = wndm  (:,:)
@@ -315,5 +315,5 @@
          fr_i_tm  (:,:)          = fr_i_tm    (:,:)       + fr_i  (:,:)
          emp_tm   (:,:)          = emp_tm     (:,:)       + emp   (:,:) 
-         sfx_tm   (:,:)          = sfx_tm     (:,:)       + sfx   (:,:)
+         fmmflx_tm(:,:)          = fmmflx_tm  (:,:)       + fmmflx(:,:)
          qsr_tm   (:,:)          = qsr_tm     (:,:)       + qsr   (:,:)
          wndm_tm  (:,:)          = wndm_tm    (:,:)       + wndm  (:,:)
@@ -334,5 +334,5 @@
             qsr   (:,:)          = qsr_tm     (:,:) * r1_ndttrc 
             emp   (:,:)          = emp_tm     (:,:) * r1_ndttrc 
-            sfx   (:,:)          = sfx_tm     (:,:) * r1_ndttrc 
+            fmmflx(:,:)          = fmmflx_tm  (:,:) * r1_ndttrc 
             fr_i  (:,:)          = fr_i_tm    (:,:) * r1_ndttrc
 # if defined key_trabbl
@@ -350,5 +350,5 @@
             qsr   (:,:)          = qsr_tm     (:,:) * r1_ndttrcp1 
             emp   (:,:)          = emp_tm     (:,:) * r1_ndttrcp1 
-            sfx   (:,:)          = sfx_tm     (:,:) * r1_ndttrcp1 
+            fmmflx(:,:)          = fmmflx_tm  (:,:) * r1_ndttrcp1 
             fr_i  (:,:)          = fr_i_tm    (:,:) * r1_ndttrcp1 
 # if defined key_trabbl
@@ -500,5 +500,5 @@
          CALL lbc_lnk( emp   (:,:)         , 'T', 1. ) 
          CALL lbc_lnk( emp_b (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( sfx   (:,:)         , 'T', 1. ) 
+         CALL lbc_lnk( fmmflx(:,:)         , 'T', 1. ) 
          CALL lbc_lnk( qsr   (:,:)         , 'T', 1. ) 
          CALL lbc_lnk( wndm  (:,:)         , 'T', 1. ) 
@@ -600,5 +600,5 @@
       fr_i_tm(:,:) = 0._wp
       emp_tm (:,:) = 0._wp
-      sfx_tm(:,:)  = 0._wp
+      fmmflx_tm(:,:)  = 0._wp
       qsr_tm (:,:) = 0._wp
       wndm_tm(:,:) = 0._wp
@@ -707,5 +707,5 @@
       fr_i  (:,:)     =  fr_i_temp  (:,:)
       emp   (:,:)     =  emp_temp   (:,:)
-      sfx   (:,:)     =  sfx_temp   (:,:)
+      fmmflx(:,:)     =  fmmflx_temp(:,:)
       emp_b (:,:)     =  emp_b_temp (:,:)
       qsr   (:,:)     =  qsr_temp   (:,:)
@@ -826,5 +826,5 @@
       fr_i_tm    (:,:) = fr_i  (:,:)
       emp_tm     (:,:) = emp   (:,:)
-      sfx_tm     (:,:) = sfx   (:,:)
+      fmmflx_tm  (:,:) = fmmflx(:,:)
       qsr_tm     (:,:) = qsr   (:,:)
       wndm_tm    (:,:) = wndm  (:,:)
@@ -1055,5 +1055,5 @@
          &      rnf_temp(jpi,jpj)           ,  h_rnf_temp(jpi,jpj) ,     &
          &      tsn_temp(jpi,jpj,jpk,2)     ,  emp_b_temp(jpi,jpj),      &
-         &      emp_temp(jpi,jpj)           ,  sfx_temp(jpi,jpj)  ,      &
+         &      emp_temp(jpi,jpj)           ,  fmmflx_temp(jpi,jpj),     &
          &      hmld_temp(jpi,jpj)          ,  qsr_temp(jpi,jpj) ,       &
          &      fr_i_temp(jpi,jpj)          ,  fr_i_tm(jpi,jpj) ,        &
@@ -1103,5 +1103,5 @@
          &      sshv_n_tm(jpi,jpj)          ,  sshv_b_hold(jpi,jpj),     &
          &      tsn_tm(jpi,jpj,jpk,2)       ,                            &
-         &      emp_tm(jpi,jpj)             ,  sfx_tm(jpi,jpj)  ,        &
+         &      emp_tm(jpi,jpj)             ,  fmmflx_tm(jpi,jpj)  ,     &
          &      emp_b_hold(jpi,jpj)         ,                            &
          &      hmld_tm(jpi,jpj)            ,  qsr_tm(jpi,jpj) ,         &
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 4275)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 4276)
@@ -61,5 +61,5 @@
 
 echo "Available compilers for -m option :"
-for file in  $(ls ${MAIN_DIR}/ARCH | grep fcm )
+for file in  $(ls ${MAIN_DIR}/ARCH | grep "fcm$" )
 do
 zvar1=${file#arch-}
@@ -71,8 +71,8 @@
 
 if [ "$1" == "all" ]; then
-   for dir  in  $(ls ${MAIN_DIR}/ARCH | grep -v fcm )
+   for dir  in  $(ls ${MAIN_DIR}/ARCH | grep -v "fcm$" )
    do 
       echo "Available compilers at ${dir} :"
-      for file in  $(ls ${MAIN_DIR}/ARCH/${dir} | grep  fcm )
+      for file in  $(ls ${MAIN_DIR}/ARCH/${dir} | grep "fcm$" )
       do
       zvar1=${file#arch-}
@@ -84,5 +84,5 @@
 elif [ -d ${MAIN_DIR}/ARCH/${1} ]; then
       echo "Available compilers at $1 :"
-      for file in  $(ls ${MAIN_DIR}/ARCH/$1 | grep fcm )
+      for file in  $(ls ${MAIN_DIR}/ARCH/$1 | grep "fcm$" )
       do
       zvar1=${file#arch-}
@@ -93,5 +93,5 @@
 else
       echo "Available consortium member sub-directories :"
-      for dir  in  $(ls ${MAIN_DIR}/ARCH | grep -v fcm )
+      for dir  in  $(ls ${MAIN_DIR}/ARCH | grep -v "fcm$" )
       do
          echo ${dir}
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 4275)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 4276)
@@ -35,7 +35,7 @@
 	    echo ' --insrc              only print all variable definitions found in the source code'
 	    echo 'Examples'
-	    echo '      chk_iomput.sh'
-	    echo '      chk_iomput.sh --help'
-	    echo '      chk_iomput.sh ../../CONFIG/ORCA2_LIM/EXP00/iodef.xml "../../NEMO/OPA_SRC/ ../../NEMO/LIM_SRC_2/"'
+	    echo '      ./chk_iomput.sh'
+	    echo '      ./chk_iomput.sh --help'
+	    echo '      ./chk_iomput.sh ../../CONFIG/ORCA2_LIM/EXP00/iodef.xml "../../NEMO/OPA_SRC/ ../../NEMO/LIM_SRC_2/"'
 	    echo
 	    exit ;;
@@ -59,5 +59,13 @@
 #------------------------------------------------
 #
-[ $inxml -eq 1 ] && grep "< *field * id *=" $xmlfile
+external=$( grep -c "<field_definition  *\([^ ].* \)*src=" $xmlfile )
+if [ $external -eq 1 ]
+then
+    xmlfield_def=$( grep "<field_definition  *\([^ ].* \)*src=" $xmlfile | sed -e 's/.*src="\([^"]*\)".*/\1/' )
+    xmlfield_def=$( dirname $xmlfile )/$xmlfield_def   
+else
+    xmlfield_def=$xmlfile
+fi
+[ $inxml -eq 1 ] && grep "< *field  *\([^ ].* \)*id *=" $xmlfield_def
 [ $insrc -eq 1 ] && find $srcdir -name "*.[Ffh]90" -exec grep -iH "^[^\!]*call  *iom_put *(" {} \;
 [ $(( $insrc + $inxml )) -ge 1 ] && exit
@@ -71,17 +79,25 @@
 # list of variables used in "CALL iom_put"
 #
-varlistsrc=$( find $srcdir -name "*.[Ffh]90" -exec grep -i  "^[^\!]*call  *iom_put *(" {} \; | sed -e "s/.*iom_put *( *[\"\']\([^\"\']*\)[\"\'] *,.*/\1/" | sort -d )
+badvarsrc=$( find $srcdir -name "*.[Ffh]90" -exec grep -i  "^[^\!]*call  *iom_put *(" {} \; | sed -e "s/.*iom_put *( *[\"\']\([^\"\']*\)[\"\'] *,.*/\1/" | grep -ic iom_put )
+if [ $badvarsrc -ne 0 ]
+then
+    echo "The following call to iom_put cannot be checked"
+    echo
+    find $srcdir -name "*.[Ffh]90" -exec grep -i  "^[^\!]*call  *iom_put *(" {} \; | sed -e "s/.*iom_put *( *[\"\']\([^\"\']*\)[\"\'] *,.*/\1/" | grep -i iom_put | sort -d 
+    echo
+fi
+varlistsrc=$( find $srcdir -name "*.[Ffh]90" -exec grep -i  "^[^\!]*call  *iom_put *(" {} \; | sed -e "s/.*iom_put *( *[\"\']\([^\"\']*\)[\"\'] *,.*/\1/" | grep -vi iom_put | sort -d )
 #
 # list of variables defined in the xml file
 #
-varlistxml=$( grep "< *field * id *=" $xmlfile  | sed -e "s/^.*< *field * id *= *[\"\']\([^\"\']*\)[\"\'].*/\1/" | sort -d )
+varlistxml=$( grep "< *field  *\([^ ].* \)*id *=" $xmlfield_def  | sed -e "s/^.*< *field .*id *= *[\"\']\([^\"\']*\)[\"\'].*/\1/" | sort -d )
 #
 # list of variables to be outputed in the xml file
 #
-varlistout=$( grep "< *field * ref *=" $xmlfile  | sed -e "s/^.*< *field * ref *= *[\"\']\([^\"\']*\)[\"\'].*/\1/" | sort -d )
+varlistout=$( grep "< *field  *\([^ ].* \)*field_ref *=" $xmlfile  | sed -e "s/^.*< *field .*field_ref *= *[\"\']\([^\"\']*\)[\"\'].*/\1/" | sort -d )
 #
 echo "--------------------------------------------------"
 echo  check if all iom_put found in $srcdir
-echo  have a corresponding variable definition in $xmlfile
+echo  have a corresponding variable definition in $xmlfield_def
 echo "--------------------------------------------------"
 for var in $varlistsrc
@@ -90,5 +106,5 @@
     if [ $tst -ne 1 ] 
     then
-	echo "problem with $var: $tst lines corresponding to its definition in $xmlfile, but defined in the code in"
+	echo "problem with $var: $tst lines corresponding to its definition in $xmlfield_def, but defined in the code in"
 	for f in $srclist
 	do
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/TOOLS/maketools
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/TOOLS/maketools	(revision 4275)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/TOOLS/maketools	(revision 4276)
@@ -146,5 +146,5 @@
 
 #- When used for the first time, choose a compiler ---
-. ${COMPIL_DIR}/Fcheck_archfile.sh arch_tools.fcm ${CMP_NAM} || exit
+. ${COMPIL_DIR}/Fcheck_archfile.sh arch_tools.fcm nocpp ${CMP_NAM} || exit
 
 #- Choose a default tool if needed ---
